Index: Include/GdiPlusEnums.ab
===================================================================
--- Include/GdiPlusEnums.ab	(revision 13)
+++ Include/GdiPlusEnums.ab	(revision 33)
@@ -8,41 +8,4 @@
 TypeDef GraphicsState = DWord
 TypeDef GraphicsContainer = DWord
-
-Const Enum FillMode
-	FillModeAlternate         ' 0
-	FillModeWinding           ' 1
-End Enum
-
-
-Const Enum QualityMode
-	QualityModeInvalid   = -1
-	QualityModeDefault   = 0
-	QualityModeLow       = 1  ' Best performance
-	QualityModeHigh      = 2  ' Best rendering quality
-End Enum
-
-Const Enum CompositingMode
-	CompositingModeSourceOver     ' 0
-	CompositingModeSourceCopy     ' 1
-End Enum
-
-Const Enum CompositingQuality
-	CompositingQualityInvalid          = QualityModeInvalid
-	CompositingQualityDefault          = QualityModeDefault
-	CompositingQualityHighSpeed        = QualityModeLow
-	CompositingQualityHighQuality      = QualityModeHigh
-	CompositingQualityGammaCorrected
-	CompositingQualityAssumeLinear
-End Enum
-
-Const Enum Unit
-	UnitWorld       ' 0
-	UnitDisplay     ' 1
-	UnitPixel       ' 2
-	UnitPoint       ' 3
-	UnitInch        ' 4
-	UnitDocument    ' 5
-	UnitMillimeter  ' 6
-End Enum
 
 Const Enum MetafileFrameUnit
@@ -53,10 +16,4 @@
 	MetafileFrameUnitMillimeter = 6
 	MetafileFrameUnitGdi
-End Enum
-
-Const Enum CoordinateSpace
-	CoordinateSpaceWorld      ' 0
-	CoordinateSpacePage       ' 1
-	CoordinateSpaceDevice     ' 2
 End Enum
 
@@ -198,29 +155,8 @@
 End Enum
 
-Const Enum CombineMode
-	CombineModeReplace      ' 0
-	CombineModeIntersect    ' 1
-	CombineModeUnion        ' 2
-	CombineModeXor          ' 3
-	CombineModeExclude      ' 4
-	CombineModeComplement   ' 5
-End Enum
-
 Const Enum ImageType
 	ImageTypeUnknown    ' 0
 	ImageTypeBitmap     ' 1
 	ImageTypeMetafile   ' 2
-End Enum
-
-Const Enum InterpolationMode
-	InterpolationModeInvalid          = QualityModeInvalid
-	InterpolationModeDefault          = QualityModeDefault
-	InterpolationModeLowQuality       = QualityModeLow
-	InterpolationModeHighQuality      = QualityModeHigh
-	InterpolationModeBilinear
-	InterpolationModeBicubic
-	InterpolationModeNearestNeighbor
-	InterpolationModeHighQualityBilinear
-	InterpolationModeHighQualityBicubic
 End Enum
 
@@ -239,15 +175,10 @@
 
 Const Enum PenType
-   PenTypeSolidColor       = BrushTypeSolidColor
-   PenTypeHatchFill        = BrushTypeHatchFill
-   PenTypeTextureFill      = BrushTypeTextureFill
-   PenTypePathGradient     = BrushTypePathGradient
-   PenTypeLinearGradient   = BrushTypeLinearGradient
-   PenTypeUnknown          = -1
-End Enum
-
-Const Enum MatrixOrder
-	MatrixOrderPrepend    = 0
-	MatrixOrderAppend     = 1
+	PenTypeSolidColor       = BrushTypeSolidColor
+	PenTypeHatchFill        = BrushTypeHatchFill
+	PenTypeTextureFill      = BrushTypeTextureFill
+	PenTypePathGradient     = BrushTypePathGradient
+	PenTypeLinearGradient   = BrushTypeLinearGradient
+	PenTypeUnknown          = -1
 End Enum
 
@@ -256,5 +187,4 @@
 	GenericFontFamilySansSerif
 	GenericFontFamilyMonospace
-
 End Enum
 
@@ -266,31 +196,4 @@
 	FontStyleUnderline  = 4
 	FontStyleStrikeout  = 8
-End Enum
-
-Const Enum SmoothingMode
-	SmoothingModeInvalid     = QualityModeInvalid
-	SmoothingModeDefault     = QualityModeDefault
-	SmoothingModeHighSpeed   = QualityModeLow
-	SmoothingModeHighQuality = QualityModeHigh
-	SmoothingModeNone
-	SmoothingModeAntiAlias
-End Enum
-
-Const Enum PixelOffsetMode
-	PixelOffsetModeInvalid     = QualityModeInvalid
-	PixelOffsetModeDefault     = QualityModeDefault
-	PixelOffsetModeHighSpeed   = QualityModeLow
-	PixelOffsetModeHighQuality = QualityModeHigh
-	PixelOffsetModeNone
-	PixelOffsetModeHalf
-End Enum
-
-Const Enum TextRenderingHint
-	TextRenderingHintSystemDefault = 0
-	TextRenderingHintSingleBitPerPixelGridFit
-	TextRenderingHintSingleBitPerPixel
-	TextRenderingHintAntiAliasGridFit
-	TextRenderingHintAntiAlias
-	TextRenderingHintClearTypeGridFit
 End Enum
 
@@ -665,9 +568,4 @@
 End Enum
 
-Const Enum FlushIntention
-	FlushIntentionFlush = 0
-	FlushIntentionSync = 1
-End Enum
-
 Const Enum EncoderParameterValueType
 	EncoderParameterValueTypeByte           = 1
